// CPAMDgNC.cpp : implementation file
/////////////////////////////////////////////////////////////////////////////
#include "StdAfx.h"

#include "EMECDgNC.hpp"

//External Modules
#include "IncTUT.h"
//End of External Modules

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPA_Meca_NewCardDialog dialog

BEGIN_MESSAGE_MAP(CPA_Meca_NewCardDialog, CDialog)
	//{{AFX_MSG_MAP(CPA_Meca_NewCardDialog)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


//**************************************************************************
CPA_Meca_NewCardDialog::CPA_Meca_NewCardDialog(CString csCardName,
																								CWnd* pParent /*=NULL*/)
											: CDialog(CPA_Meca_NewCardDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPA_Meca_NewCardDialog)
	m_csName = csCardName;
	//}}AFX_DATA_INIT
}


//**************************************************************************
void CPA_Meca_NewCardDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPA_Meca_NewCardDialog)
	DDX_Text(pDX, IDC_EDIT_NAME, m_csName);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPA_Meca_NewCardDialog message handlers

//**************************************************************************
BOOL CPA_Meca_NewCardDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();

	//////////////
	//////////////
	//Registers for TUT Module
	TUT_M_vGetTutDll();
	
	TUT_M_vRegisterControlID(IDC_EDIT_NAME, "TMe_NewCardDialog_NameEdit", TUT_e_TextEdit);
	TUT_M_vRegisterControlID(IDOK, "TMe_InformationDialog_OKButton", TUT_e_Button);
	TUT_M_vRegisterControlID(IDCANCEL, "TMe_InformationDialog_CancelButton", TUT_e_Button);

	//End of Registers for TUT Module
	//////////////
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

//**************************************************************************
void CPA_Meca_NewCardDialog::OnDestroy() 
{
	//////////////
	//////////////
	//UnRegisters for TUT Module
	TUT_M_vGetTutDll();
	
	TUT_M_vUnregisterControlID(IDC_EDIT_NAME);
	TUT_M_vUnregisterControlID(IDOK);
	TUT_M_vUnregisterControlID(IDCANCEL);
	
	//End of UnRegisters for TUT Module
	//////////////

	CDialog::OnDestroy();
}

